import * as React from 'react';
import { ITheme } from '../styles/types';
interface IAUIContext {
    theme: ITheme;
    setTheme: (theme: ITheme) => void;
}
interface AUIProviderProps {
    children: React.ReactNode;
    theme: ITheme;
}
export declare const AUIContext: React.Context<IAUIContext>;
export declare const AUIProvider: (props: AUIProviderProps) => JSX.Element;
export {};
