import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useSnacks } from '../../utils';
import Container from '../Container';
import { Button } from './index';
export default {
    component: Button,
};
const Ico = () => _jsx("span", { children: "i" });
export const Type = () => {
    return (_jsxs(Container, { children: [_jsx(Button, { children: "Default" }), _jsx(Button, Object.assign({ type: "filled" }, { children: "Filled" })), _jsx(Button, Object.assign({ type: "text" }, { children: "Text" })), _jsx(Button, Object.assign({ type: "dashed" }, { children: "Dashed" }))] }));
};
export const Size = () => {
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsxs(Container, { children: [_jsx(Button, Object.assign({ size: "small" }, { children: "small" })), _jsx(Button, Object.assign({ size: "medium" }, { children: "medium" })), _jsx(Button, Object.assign({ size: "large" }, { children: "large" }))] }), _jsxs(Container, { children: [_jsx(Button, Object.assign({ icon: true, size: "small" }, { children: _jsx(Ico, {}) })), _jsx(Button, Object.assign({ icon: true, size: "medium" }, { children: _jsx(Ico, {}) })), _jsx(Button, Object.assign({ icon: true, size: "large" }, { children: _jsx(Ico, {}) }))] }), _jsxs(Container, { children: [_jsx(Button, Object.assign({ icon: true, size: "small", circle: true }, { children: _jsx(Ico, {}) })), _jsx(Button, Object.assign({ icon: true, size: "medium", circle: true }, { children: _jsx(Ico, {}) })), _jsx(Button, Object.assign({ icon: true, size: "large", circle: true }, { children: _jsx(Ico, {}) }))] })] })));
};
export const Color = () => {
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsxs(Container, { children: [_jsx(Button, { children: "Default" }), _jsx(Button, Object.assign({ color: "red" }, { children: "red" })), _jsx(Button, Object.assign({ color: "green" }, { children: "green" })), _jsx(Button, Object.assign({ color: "blue" }, { children: "blue" }))] }), _jsxs(Container, { children: [_jsx(Button, Object.assign({ type: "filled" }, { children: "Default" })), _jsx(Button, Object.assign({ type: "filled", color: "red" }, { children: "red" })), _jsx(Button, Object.assign({ type: "filled", color: "green" }, { children: "green" })), _jsx(Button, Object.assign({ type: "filled", color: "blue" }, { children: "blue" }))] })] })));
};
export const Icons = () => {
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsxs(Container, { children: [_jsxs(Button, { children: [_jsx(Ico, {}), "Home"] }), _jsx(Button, { children: _jsx(Ico, {}) }), _jsx(Button, Object.assign({ circle: true }, { children: _jsx(Ico, {}) })), _jsx(Button, Object.assign({ type: "text", circle: true }, { children: _jsx(Ico, {}) }))] }), _jsxs(Container, { children: [_jsxs(Button, Object.assign({ type: "filled" }, { children: [_jsx(Ico, {}), "Home"] })), _jsx(Button, Object.assign({ type: "filled" }, { children: _jsx(Ico, {}) })), _jsx(Button, Object.assign({ type: "filled", circle: true }, { children: _jsx(Ico, {}) }))] })] })));
};
export const Other = () => {
    const snack = useSnacks();
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsx(Container, { children: _jsx(Button, Object.assign({ type: "filled", block: true }, { children: "Block" })) }), _jsxs(Container, { children: [_jsx(Button, Object.assign({ disabled: true }, { children: "Disabled" })), _jsx(Button, Object.assign({ circle: true, disabled: true }, { children: _jsx(Ico, {}) }))] }), _jsx(Container, { children: _jsx(Button, Object.assign({ type: "filled", onClick: () => snack.success('Success') }, { children: "On Click" })) })] })));
};
