import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Input } from '.';
import * as React from 'react';
import { Button } from '../Button';
import Container from '../Container';
export default {
    component: Input,
};
export const Type = () => {
    const [value, setValue] = React.useState('');
    return (_jsx(Container, Object.assign({ style: { alignItems: 'flex-end' } }, { children: _jsx(Input, { label: "Default", value: value, onChange: setValue }) })));
};
export const Size = () => {
    const [value, setValue] = React.useState('');
    return (_jsxs(Container, Object.assign({ style: {
            alignItems: 'flex-end',
        } }, { children: [_jsx(Input, { size: "small", placeholder: "small", label: 'small', value: value, onChange: setValue }), _jsx(Input, { size: "medium", placeholder: "medium", label: 'medium', value: value, onChange: setValue }), _jsx(Input, { size: "large", placeholder: "large", label: 'large', value: value, onChange: setValue })] })));
};
export const HtmlType = () => {
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsx(Input, { label: "email", htmlType: "email" }), _jsx(Input, { label: "password", htmlType: "password" }), _jsx(Input, { label: "number", htmlType: "number" }), _jsx(Input, { label: "search", htmlType: "search" })] })));
};
export const Other = () => {
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsx(Input, { placeholder: "No label" }), _jsx(Input, { label: _jsxs("div", Object.assign({ style: {
                        display: 'flex',
                        alignItems: 'center',
                        gap: '5px',
                    } }, { children: [_jsx("b", { children: "B" }), "Custom label"] })), error: "Some error occurred" }), _jsx(Input, { error: "Without label Error" }), _jsx(Input, { label: "Disabled", value: "Text...", disabled: true }), _jsx(Input, { label: "Prefix", placeholder: "Write a message", prefix: _jsx(Button, Object.assign({ icon: true }, { children: "A" })) }), _jsx(Input, { label: "Suffix", placeholder: "Write a message", suffix: _jsx(Button, Object.assign({ icon: true }, { children: "i" })) }), _jsx(Input, { label: "Prefix/Suffix", placeholder: "Write a message", error: "error", prefix: _jsx(Button, Object.assign({ icon: true }, { children: "i" })), suffix: _jsx(Button, Object.assign({ icon: true }, { children: "i" })) })] })));
};
