import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { padding } from '../styles';
import { Button } from './Button';
import { Icon } from './Icon';
const S = {
    $: styled.div `
		display: flex;
		gap: ${padding('medium')};
		align-items: center;
		justify-content: flex-end;

		button {
			font-size: 12px;
		}
	`,
};
export const MarkdownSupport = (props) => {
    const { text = 'Markdown is supported', href = 'https://www.markdownguide.org/basic-syntax' } = props;
    return (_jsx(S.$, { children: _jsxs(Button, Object.assign({ size: "small", type: "text", color: "grey", onClick: () => window.open(href) }, { children: [text, _jsx(Icon.Markdown, { size: 18 })] })) }));
};
