var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Overlay } from '..';
import S from './Styled';
export const Modal = (_a) => {
    var { children, open = false, size, title = null, toolbar = null, content = null, onClose, closeButton } = _a, rest = __rest(_a, ["children", "open", "size", "title", "toolbar", "content", "onClose", "closeButton"]);
    return (_jsxs(_Fragment, { children: [_jsx(Overlay, { open: open, onClose: onClose }), _jsxs(S.$, Object.assign({ open: open, onClick: (e) => {
                    e.stopPropagation();
                }, size: size }, rest, { children: [title, content !== null && content !== void 0 ? content : _jsx(S.Content.$, { children: children }), toolbar] })), open && closeButton && (_jsx(S.Close.$, Object.assign({ type: "text", icon: true, color: "grey", size: "large", onClick: () => {
                    if (onClose) {
                        onClose();
                    }
                } }, { children: _jsx("span", {}) })))] }));
};
Modal.Title = S.Title.$;
Modal.Content = S.Content.$;
Modal.Toolbar = S.Toolbar.$;
