import * as React from 'react';
import { ButtonProps } from '../Button/types';
import { DropdownProps, Option } from '../Dropdown';
export declare type SelectProps = DropdownProps;
export declare const Select: {
    (props: SelectProps): JSX.Element;
    Label: (props: SelectLabelProps) => JSX.Element;
    Option: typeof Option;
};
export interface SelectLabelProps extends ButtonProps {
    placeholder: React.ReactNode;
}
