var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import S from './Styled';
export class Tab extends React.Component {
    render() {
        const _a = this.props, { children, active = false } = _a, rest = __rest(_a, ["children", "active"]);
        return (_jsx(S.Tabs.Button.$, Object.assign({ active: active }, rest, { children: children })));
    }
}
export const Tabs = (props) => {
    const { children, activeIndex, title, onChange, size, icon } = props, rest = __rest(props, ["children", "activeIndex", "title", "onChange", "size", "icon"]);
    const currentContent = React.useMemo(() => {
        let content = undefined;
        React.Children.forEach(children, (child) => {
            const tab = child;
            const { index, content: tabContent } = tab.props;
            if (activeIndex === index) {
                content = tabContent;
            }
        });
        return content;
    }, [children, activeIndex]);
    return (_jsxs(S.$, { children: [title && _jsx(S.Title.$, { children: title }), _jsx(S.Head.$, Object.assign({}, rest, { children: _jsx(S.Tabs.$, { children: React.Children.map(children, (child) => {
                        const tab = child;
                        const { index } = tab.props;
                        return (_jsx(Tab, Object.assign({ active: activeIndex === index, onClick: () => {
                                onChange(index);
                            }, type: "text", size: size, icon: icon }, tab.props), index));
                    }) }) })), currentContent && _jsx(S.Content.$, { children: currentContent })] }));
};
