import * as React from 'react';
import { InputLabelProps, TOmitInputProps } from '../Input/types';
export declare type TextAreaProps = {
    value?: string;
    placeholder?: string;
    hint?: React.ReactNode;
    ref?: React.RefObject<HTMLTextAreaElement>;
    label?: InputLabelProps['children'];
    onChange?: (value: string, e: React.ChangeEvent<HTMLTextAreaElement>) => void;
} & Partial<Omit<InputLabelProps, 'children'>> & Partial<Omit<React.HTMLProps<HTMLTextAreaElement>, TOmitInputProps>>;
export declare function TextArea(props: TextAreaProps): JSX.Element;
