import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { darkTheme, lightTheme } from '../styles';
import { useColor, useTheme } from '../utils';
import { AUIProvider } from './AUIProvider';
import { Button } from './Button';
import Container from './Container';
import { Divider } from './Divider';
import { Text } from './Text';
import { Title } from './Title';
export default {
    component: _jsx("div", {}),
};
export const Basic = () => {
    const { theme, setTheme } = useTheme();
    const mainColor = useColor('main');
    return (_jsxs(Container, Object.assign({ column: true }, { children: [_jsxs(Container, Object.assign({ column: true }, { children: [_jsx(Title, Object.assign({ h2: true }, { children: "Example usage of useTheme hook" })), _jsxs(Title, Object.assign({ h3: true }, { children: ["Current Theme:", ' ', _jsx(Text, Object.assign({ bold: true, style: { background: mainColor } }, { children: theme.key }))] }))] })), _jsxs(Container, { children: [_jsx(Button, Object.assign({ type: "filled", onClick: () => {
                            setTheme(lightTheme);
                        } }, { children: lightTheme.key })), _jsx(Button, Object.assign({ onClick: () => {
                            setTheme(darkTheme);
                        } }, { children: darkTheme.key })), _jsx(Button, Object.assign({ type: "dashed", onClick: () => {
                            setTheme(Object.assign(Object.assign({}, lightTheme), { key: 'custom', colors: Object.assign(Object.assign({}, lightTheme.colors), { main: '#ff0057', bg: '#033bab' }), borderRadius: 12 }));
                        } }, { children: "custom" }))] }), _jsx(Divider, { dashed: true }), _jsx(AUIProvider, Object.assign({ theme: Object.assign(Object.assign({}, lightTheme), { key: 'some', colors: Object.assign(Object.assign({}, lightTheme.colors), { main: '#2196f3' }) }) }, { children: _jsx(Button, { children: "Some other theme inside provider" }) }))] })));
};
