import styled from 'styled-components';
import { color, padding, toPx } from '../../styles';
export const S = {
    $: styled.h1 `
		display: flex;
		gap: ${padding('medium')};
		align-items: ${(props) => {
        const { vertical } = props;
        switch (vertical) {
            case 'top':
                return 'flex-start';
            case 'center':
                return 'center';
            case 'bottom':
                return 'flex-end';
            default:
                return 'center';
        }
    }};
		justify-content: ${(props) => props.justifyContent};
		margin: 0;
		padding: ${({ top, bottom, left, right }) => `${toPx(top)} ${toPx(right)} ${toPx(bottom)} ${toPx(left)}`};
		color: ${(props) => color(props.color)(props)};
		line-height: 1.4;
	`,
};
