import * as React from 'react';
export declare type TPushComponent = (component: React.ReactElement) => void;
export declare type THideComponent = (id: string) => void;
interface IOverlayContext {
    modals: React.ReactElement[];
    showModal: TPushComponent;
    hideModal: THideComponent;
}
export declare const OverlayContext: React.Context<IOverlayContext>;
interface OverlayProviderProps {
    children?: React.ReactNode;
}
export declare const OverlayProvider: ({ children }: OverlayProviderProps) => JSX.Element;
export {};
