/**
 * @docs: https://react-hot-toast.com/
 */
export declare const useSnacks: () => {
    (message: import("react-hot-toast").Renderable | import("react-hot-toast").ValueFunction<import("react-hot-toast").Renderable, import("react-hot-toast").Toast>, opts?: Partial<Pick<import("react-hot-toast").Toast, "style" | "className" | "id" | "icon" | "position" | "duration" | "ariaProps" | "iconTheme">> | undefined): string;
    error: (message: import("react-hot-toast").Renderable | import("react-hot-toast").ValueFunction<import("react-hot-toast").Renderable, import("react-hot-toast").Toast>, options?: Partial<Pick<import("react-hot-toast").Toast, "style" | "className" | "id" | "icon" | "position" | "duration" | "ariaProps" | "iconTheme">> | undefined) => string;
    success: (message: import("react-hot-toast").Renderable | import("react-hot-toast").ValueFunction<import("react-hot-toast").Renderable, import("react-hot-toast").Toast>, options?: Partial<Pick<import("react-hot-toast").Toast, "style" | "className" | "id" | "icon" | "position" | "duration" | "ariaProps" | "iconTheme">> | undefined) => string;
    loading: (message: import("react-hot-toast").Renderable | import("react-hot-toast").ValueFunction<import("react-hot-toast").Renderable, import("react-hot-toast").Toast>, options?: Partial<Pick<import("react-hot-toast").Toast, "style" | "className" | "id" | "icon" | "position" | "duration" | "ariaProps" | "iconTheme">> | undefined) => string;
    custom: (message: import("react-hot-toast").Renderable | import("react-hot-toast").ValueFunction<import("react-hot-toast").Renderable, import("react-hot-toast").Toast>, options?: Partial<Pick<import("react-hot-toast").Toast, "style" | "className" | "id" | "icon" | "position" | "duration" | "ariaProps" | "iconTheme">> | undefined) => string;
    dismiss(toastId?: string | undefined): void;
    remove(toastId?: string | undefined): void;
    promise<T>(promise: Promise<T>, msgs: {
        loading: import("react-hot-toast").Renderable;
        success: import("react-hot-toast").ValueOrFunction<import("react-hot-toast").Renderable, T>;
        error: import("react-hot-toast").ValueOrFunction<import("react-hot-toast").Renderable, any>;
    }, opts?: import("react-hot-toast").DefaultToastOptions | undefined): Promise<T>;
};
