var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Icon } from '..';
import * as React from 'react';
import { Button } from '../Button';
import S from './Styled';
export class Option extends React.Component {
    render() {
        const _a = this.props, { children, onClick } = _a, rest = __rest(_a, ["children", "onClick"]);
        return (_jsx(S.Option.$, Object.assign({}, rest, { onClick: (e) => {
                if (onClick) {
                    onClick(this.props, e);
                }
            } }, { children: children })));
    }
}
const DropdownLabel = (_a) => {
    var rest = __rest(_a, []);
    return (_jsx(Button, Object.assign({ type: "text", color: "text", circle: true }, rest, { children: _jsx(Icon.Dots, {}) })));
};
export const Dropdown = (props) => {
    const { label = _jsx(DropdownLabel, {}), disabled, open: propOpen, onClose, left = false, children, onChange } = props, rest = __rest(props, ["label", "disabled", "open", "onClose", "left", "children", "onChange"]);
    const [stateOpen, setStateOpen] = React.useState(false);
    const handleOpen = () => {
        setStateOpen(true);
    };
    const handleClose = () => {
        if (onClose) {
            onClose();
        }
        setStateOpen(false);
    };
    const handleBlur = (e) => {
        if (!e.currentTarget.contains(e.relatedTarget)) {
            handleClose();
        }
    };
    const open = React.useMemo(() => propOpen !== null && propOpen !== void 0 ? propOpen : stateOpen, [propOpen, stateOpen]);
    return (_jsxs(S.Wrapper.$, Object.assign({ onBlur: handleBlur }, { children: [_jsx(S.Label.$, Object.assign({ disabled: Boolean(disabled), open: open, onClick: () => {
                    if (!disabled) {
                        if (open) {
                            handleClose();
                        }
                        else {
                            handleOpen();
                        }
                    }
                } }, { children: label })), _jsx(S.Content.$, Object.assign({ open: open, left: left }, rest, { children: React.Children.map(children, (child, index) => {
                    const option = child;
                    const _a = option.props, { onClick, children } = _a, optionRestProps = __rest(_a, ["onClick", "children"]);
                    return (_jsx(Option, Object.assign({ type: "text", color: "text" }, optionRestProps, { onClick: (optionProps, e) => {
                            if (onClick) {
                                onClick(optionProps, e);
                            }
                            if (onChange) {
                                onChange(optionProps);
                            }
                            handleClose();
                        } }, { children: children }), index));
                }) }))] })));
};
Dropdown.Label = DropdownLabel;
