import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
import { color } from '../../../../styles';
const S = {
    $: styled.a `
		color: ${color('main')};
	`,
};
export const AWrapper = (_props) => {
    const { children, href = '#' } = _props;
    return (_jsx(S.$, Object.assign({ href: href, target: "_blank", rel: "noopener noreferrer" }, { children: children[0] })));
};
