import * as codemirror from 'codemirror';
import { IControlledCodeMirror } from 'react-codemirror2';
import { InputLabelProps } from '../Input/types';
export declare type EditorProps = {
    value?: string;
    onChange?: (md: string, editor: codemirror.Editor, data: codemirror.EditorChange) => void;
    preview?: boolean;
    label?: InputLabelProps['children'];
} & Partial<Omit<InputLabelProps, 'children'>> & Partial<Omit<IControlledCodeMirror, 'onChange'>>;
/**
 * @docs hypermd: https://github.com/laobubu/HyperMD/blob/master/docs/index.md
 */
export declare const Editor: (props: EditorProps) => JSX.Element;
