import { createGlobalStyle, css } from 'styled-components';
import { normalize as normalizeCss } from 'styled-normalize';
export const GlobalStyles = createGlobalStyle `
    ${(p) => {
    const { normalize = true } = p;
    if (normalize) {
        return css `
				${normalizeCss}

				html {
					box-sizing: border-box;
				}
				*,
				*:before,
				*:after {
					box-sizing: inherit;
				}
			`;
    }
    return '';
}}

    ${(p) => (p.children ? p.children(p.theme) : '')}
`;
