import { ITheme, TSize } from '../../styles';
import { InputProps } from './types';
export declare const commonInputValueCss: (props: {
    theme: ITheme;
    error?: string;
    disabled?: boolean;
    size?: TSize;
}) => string;
export declare const S: {
    $: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
    Label: {
        $: import("styled-components").StyledComponent<"label", import("styled-components").DefaultTheme, {
            error?: string | undefined;
            size?: TSize | undefined;
        }, never>;
    };
    Error: {
        $: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
    };
    Value: {
        Wrapper: {
            $: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
        };
        $: import("styled-components").StyledComponent<"input", import("styled-components").DefaultTheme, Partial<Omit<InputProps, "onChange">>, never>;
    };
    Prefix: {
        $: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
    };
    Suffix: {
        $: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
    };
    Hint: {
        $: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
    };
};
