var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import { S } from './Styled';
export const InputLabel = (props) => {
    const { children, error, id, size } = props;
    return children || error ? (_jsxs(S.Label.$, Object.assign({ htmlFor: id, error: error, size: size }, { children: [children, error ? _jsx(S.Error.$, { children: `${children ? ' – ' : ''}${error}` }) : ''] }))) : null;
};
export function Input(props) {
    const { id = React.useId(), label, value, placeholder, size = 'medium', disabled = false, error, htmlType, prefix, suffix, onChange } = props, rest = __rest(props, ["id", "label", "value", "placeholder", "size", "disabled", "error", "htmlType", "prefix", "suffix", "onChange"]);
    const handleChange = (e) => {
        if (onChange) {
            onChange(e.target.value, e);
        }
    };
    return (_jsxs(S.$, { children: [_jsx(InputLabel, Object.assign({ id: id, error: error, size: size }, { children: label })), _jsxs(S.Value.Wrapper.$, { children: [prefix && _jsx(S.Prefix.$, { children: prefix }), _jsx(S.Value.$, Object.assign({ id: id, placeholder: placeholder, disabled: disabled, value: value, type: htmlType, error: error, size: size, onChange: handleChange }, rest)), suffix && _jsx(S.Suffix.$, { children: suffix })] })] }));
}
