var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { createElement as _createElement } from "react";
import styled from 'styled-components';
import { color } from '../../styles';
const SIZE = 10;
const S = {
    $: styled.div `
		position: absolute;
		top: ${(props) => props.y - SIZE / 2}px;
		left: ${(props) => props.x - SIZE / 2}px;
		width: ${SIZE}px;
		height: ${SIZE}px;
		background: ${(props) => color('white')(props)}30;
		border-radius: 50%;
		z-index: 1;
		animation: 0.6s ease 1 forwards ripple-effect;

		@keyframes ripple-effect {
			0% {
				transform: scale(1);
				opacity: 1;
			}
			100% {
				transform: scale(35);
				opacity: 0;
			}
		}
	`,
    Wrapper: {
        $: styled.div `
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			overflow: hidden;
			pointer-events: none;
		`,
    },
};
export const Ripple = (props) => {
    const { meta } = props, rest = __rest(props, ["meta"]);
    return (_createElement(S.Wrapper.$, Object.assign({}, rest, { key: meta === null || meta === void 0 ? void 0 : meta.time }), meta ? _jsx(S.$, Object.assign({}, meta)) : null));
};
