var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Overlay } from '..';
import { useEffect } from 'react';
import S from './Styled';
export const Sider = (props) => {
    const { children, open = false, width = 320, onClose, position = 'right' } = props, rest = __rest(props, ["children", "open", "width", "onClose", "position"]);
    useEffect(() => {
        return () => {
            document.body.style.overflow = 'auto';
        };
    }, []);
    useEffect(() => {
        if (open) {
            document.body.style.overflow = 'hidden';
        }
        else {
            document.body.style.overflow = 'auto';
        }
    }, [open]);
    return (_jsxs(_Fragment, { children: [_jsx(Overlay, { open: open, onClose: onClose }), _jsx(S.$, Object.assign({ width: width, open: open, position: position }, rest, { children: children }))] }));
};
