import * as React from 'react';
import { ButtonProps } from '../Button/types';
export interface TabProps extends Partial<ButtonProps> {
    index: number;
    content?: React.ReactNode;
    active?: boolean;
}
export declare class Tab extends React.Component<TabProps> {
    render(): JSX.Element;
}
export interface TabsProps extends Partial<Pick<ButtonProps, 'size' | 'icon'>> {
    onChange: (tabIndex: number) => void;
    activeIndex?: number;
    title?: string;
    children: React.ReactNode[];
}
export declare const Tabs: (props: TabsProps) => JSX.Element;
