import * as React from 'react';
import { TColors, TSize } from '../../styles';
interface ISProps {
    color?: TColors;
    size?: TSize;
    inline: boolean;
    bold?: boolean;
    uppercase?: boolean;
    italic?: boolean;
    onClick?: () => void;
}
export declare type TextProps = {
    children: React.ReactNode;
    maxLength?: number;
    style?: React.CSSProperties;
} & Partial<ISProps>;
export declare const Text: (props: TextProps) => JSX.Element;
export {};
