var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import { InputLabel } from '../Input';
import S from './Styled';
export function TextArea(props) {
    const { id = React.useId(), size = 'medium', label, placeholder, value, error, onChange, hint } = props, rest = __rest(props, ["id", "size", "label", "placeholder", "value", "error", "onChange", "hint"]);
    const handleChange = (e) => {
        if (onChange) {
            onChange(e.target.value, e);
        }
    };
    return (_jsxs(S.$, { children: [_jsx(InputLabel, Object.assign({ id: id, error: error, size: size }, { children: label })), _jsx(S.Textarea.$, Object.assign({}, rest, { id: id, error: error, size: size, value: value, placeholder: placeholder, onChange: handleChange })), hint] }));
}
