var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { S } from './Styled';
const getAs = (...hArgs) => {
    const [h1, h2, h3, h4, h5] = hArgs;
    if (h1) {
        return 'h1';
    }
    if (h2) {
        return 'h2';
    }
    if (h3) {
        return 'h3';
    }
    if (h4) {
        return 'h4';
    }
    if (h5) {
        return 'h5';
    }
    return 'h1';
};
export const Title = (props) => {
    const { children, h1, h2, h3, h4, h5, color = 'text', justifyContent = 'left', top = 0, bottom = 0, left = 0, right = 0, vertical = 'center' } = props, rest = __rest(props, ["children", "h1", "h2", "h3", "h4", "h5", "color", "justifyContent", "top", "bottom", "left", "right", "vertical"]);
    return (_jsx(S.$, Object.assign({ as: getAs(h1, h2, h3, h4, h5), justifyContent: justifyContent, top: top, bottom: bottom, right: right, left: left, color: color, vertical: vertical }, rest, { children: children })));
};
