import { useTheme } from './useTheme';
export function useColor(color) {
    const { theme: { colors }, } = useTheme();
    if (color in colors) {
        return colors[color];
    }
    return color;
}
